%define name bonnie
%define version 1.0
%define release 7mdk

Summary: Unix filesystem performance benchmark
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://sunsite.unc.edu/pub/Linux/system/Misc/bonnie.tar.bz2
Copyright: distributable
Group: System/Kernel and hardware
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{version}-%{name}-root

%description
Bonnie is a popular filesystem benchmark which attempt to study
bottlenecks.

%prep
%setup -n bonnie

%build
gcc $RPM_OPT_FLAGS -o bonnie bonnie.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -s bonnie $RPM_BUILD_ROOT/%{_bindir}/bonnie
install bonnie.man $RPM_BUILD_ROOT/%{_mandir}/man1/bonnie.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc bonnie.doc
%attr(755,root,root) %{_bindir}/bonnie
%{_mandir}/man1/*

%changelog
* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-7mdk
- macrosifications
- rebiuld for the BM

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0-6mdk
- group fix

* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix group

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial release.
